## GOData

GOData

## Functions

GODateConventions const * | go_data_date_conv ()
GOData * | go_data_dup ()
void | go_data_emit_changed ()
gboolean | go_data_eq ()
void | go_data_get_bounds ()
PangoAttrList * | go_data_get_matrix_markup ()
void | go_data_get_matrix_size ()
char * | go_data_get_matrix_string ()
double | go_data_get_matrix_value ()
unsigned int | go_data_get_n_dimensions ()
unsigned int | go_data_get_n_values ()
PangoAttrList * | go_data_get_scalar_markup ()
char * | go_data_get_scalar_string ()
double | go_data_get_scalar_value ()
double * | go_data_get_values ()
PangoAttrList * | go_data_get_vector_markup ()
unsigned int | go_data_get_vector_size ()
char * | go_data_get_vector_string ()
double | go_data_get_vector_value ()
gboolean | go_data_has_value ()
gboolean | go_data_is_decreasing ()
gboolean | go_data_is_increasing ()
gboolean | go_data_is_valid ()
gboolean | go_data_is_varying_uniformly ()
GOFormat const * | go_data_preferred_fmt ()
char * | go_data_serialize ()
gboolean | go_data_unserialize ()

## Signals

void | changed | Run Last

## Types and Values

| GOData

## Object Hierarchy

        GObject
        ╰── GOData
            ├── GODataMatrix
            ├── GODataScalar
            ╰── GODataVector

## Description

## Functions

### go_data_date_conv ()

    GODateConventions const *
    go_data_date_conv (GOData const *dat);

#### Parameters

dat | GOData |

#### Returns

the date conventions used by the data, or `NULL` if not determined.

### go_data_dup ()

    GOData *
    go_data_dup (GOData const *src);

#### Parameters

src | GOData |

#### Returns

A deep copy of `src` .

[transfer full]

### go_data_emit_changed ()

    void
    go_data_emit_changed (GOData *dat);

protected utility to emit a 'changed' signal

#### Parameters

dat | GOData |

### go_data_eq ()

    gboolean
    go_data_eq (GOData const *a,
                GOData const *b);

#### Parameters

a | GOData |
b | GOData |

#### Returns

TRUE if `a` and `b` are the same

### go_data_get_bounds ()

    void
    go_data_get_bounds (GOData *data,
                        double *minimum,
                        double *maximum);

### go_data_get_matrix_markup ()

    PangoAttrList *
    go_data_get_matrix_markup (GOData *data,
                               unsigned int row,
                               unsigned int column);

### go_data_get_matrix_size ()

    void
    go_data_get_matrix_size (GOData *data,
                             unsigned int *n_rows,
                             unsigned int *n_columns);

### go_data_get_matrix_string ()

    char *
    go_data_get_matrix_string (GOData *data,
                               unsigned int row,
                               unsigned int column);

### go_data_get_matrix_value ()

    double
    go_data_get_matrix_value (GOData *data,
                              unsigned int row,
                              unsigned int column);

### go_data_get_n_dimensions ()

    unsigned int
    go_data_get_n_dimensions (GOData *data);

### go_data_get_n_values ()

    unsigned int
    go_data_get_n_values (GOData *data);

### go_data_get_scalar_markup ()

    PangoAttrList *
    go_data_get_scalar_markup (GOData *data);

### go_data_get_scalar_string ()

    char *
    go_data_get_scalar_string (GOData *data);

### go_data_get_scalar_value ()

    double
    go_data_get_scalar_value (GOData *data);

### go_data_get_values ()

    double *
    go_data_get_values (GOData *data);

### go_data_get_vector_markup ()

    PangoAttrList *
    go_data_get_vector_markup (GOData *data,
                               unsigned int column);

### go_data_get_vector_size ()

    unsigned int
    go_data_get_vector_size (GOData *data);

### go_data_get_vector_string ()

    char *
    go_data_get_vector_string (GOData *data,
                               unsigned int column);

### go_data_get_vector_value ()

    double
    go_data_get_vector_value (GOData *data,
                              unsigned int column);

### go_data_has_value ()

    gboolean
    go_data_has_value (GOData const *data);

### go_data_is_decreasing ()

    gboolean
    go_data_is_decreasing (GOData *data);

### go_data_is_increasing ()

    gboolean
    go_data_is_increasing (GOData *data);

### go_data_is_valid ()

    gboolean
    go_data_is_valid (GOData const *dat);

### go_data_is_varying_uniformly ()

    gboolean
    go_data_is_varying_uniformly (GOData *data);

### go_data_preferred_fmt ()

    GOFormat const *
    go_data_preferred_fmt (GOData const *dat);

Caller is responsible for unrefing the result.

#### Parameters

dat | GOData |

#### Returns

the fmt preferred by the data

### go_data_serialize ()

    char *
    go_data_serialize (GOData const *dat,
                       gpointer user);

NOTE : This is the _source_ not the content. (I.e., this refers to the expression, not its current value.)

#### Parameters

dat | GOData |
user | a gpointer describing the context. |

#### Returns

a string representation of the data source that the caller is responsible for freeing

### go_data_unserialize ()

    gboolean
    go_data_unserialize (GOData *dat,
                         char const *str,
                         gpointer user);

De-serializes the source information returned from go_data_serialize.

#### Parameters

dat | GOData |
str | string to parse |
user | a gpointer describing the context. |

#### Returns

`FALSE` on error.

## Types and Values

### GOData

    typedef struct _GOData GOData;

## Signal Details

### The `“changed”` signal

    void
    user_function (GOData  *godata,
                   gpointer user_data)

Flags: Run Last